# encoding: utf-8

class HonorCategory
  include Mongoid::Document
  include Mongoid::Timestamps
  include OrbitCoreLib::ObjectAuthable
  include OrbitCoreLib::ObjectDisable
  # include Mongoid::MultiParameterAttributes
  AfterObjectAuthUrl = '/panel/personal_honor/back_end/honor_categorys'
  APP_NAME = 'honor'
  # ObjectAuthTitlesOptions = %W{edit}
  ObjectAuthTitlesOptions = %W{submit_new fact_check}

  field :key
  
  field :title, localize: true
  
  has_many :honors
  
  def pp_object
    title
  end
  
end